﻿using Helios.Models;
using Helios.Source;
using Microsoft.AspNetCore.Mvc;

namespace Helios.Controllers
{
    public class LoginController : Controller
    {
        private readonly LoginService _loginService;

        public LoginController(LoginService service)
        {
            _loginService = service;
        }

        public ActionResult Index()
        {
            Login login = new Login();

            return View(login);
        }

        public ActionResult Login(Login userLogin)
        {
            var userAccount = _loginService.GetLogin(userLogin.EmailAddress, userLogin.Password);

            if (userAccount.IsAdmin)
            {
                return RedirectToAction("Admin");
            }
            else
            {
                return RedirectToAction("User");
            }
        }

        public ActionResult User()
        {
            return View();
        }

        public ActionResult Admin()
        {
            return View();
        }
    }
}